com.streambase.sb.adapter

## Class InputAdapter

- java.lang.Object
- - com.streambase.sb.operator.Operator
  - - com.streambase.sb.adapter.InputAdapter

- All Implemented Interfaces:
    IInputAdapter, LocatedItem, Serializable

      public abstract class InputAdapter
      extends Operator
      implements IInputAdapter

  Convenience abstract base class for input adapters. Adapters are intended to exchange information between StreamBase applications and external data sources and sinks. Input adapters take information from outside of an application and provide it in the form of a stream or streams to the application.

  Input adapters should call `Operator.sendOutput(int,Tuple)` to provide tuples to the application.

  For in-depth information on implementing an input adapter, please see "Using the Embedded Adapter API" in the StreamBase documentation.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.streambase.sb.operator.Operator

      `Operator.ArtifactProperties, Operator.ConfigurationAccessor, Operator.IconKind, Operator.LogLevel, Operator.OperatorStates, Operator.OperatorThread, Operator.PropertyTypecheckException, Operator.RuntimeEnvironment, Operator.SharedObject, Operator.SharedObjectManager, Operator.SuspendBehaviorStates`

  - ### Field Summary

    - ### Fields inherited from class com.streambase.sb.operator.Operator

      `DEFAULT_STATE_CHANGE_TIMEOUT, OP_CONFIG_MGR_NO_CONF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processTuple(int inputPort, Tuple tuple)` This method will be called by the StreamBase server for each Tuple given to the Operator to process.

    - ### Methods inherited from class com.streambase.sb.operator.Operator

      `allowsConcurrency, evaluate, getArtifactManager, getAsyncInputPorts, getCaptureStrategy, getContainerName, getDataDirectory, getDisplayDescription, getDisplayName, getDynamicVariables, getDynamicVariablesSchema, getFullyQualifiedName, getIconResource, getInputPortCount, getInputSchema, getLocation, getLocation, getLock, getLogger, getManagedState, getName, getNamedSchema, getOperatorConfigurationAccessor, getOutputPortCount, getOutputSchema, getParameters, getPortCounts, getProposedInputSchemas, getProposedOutputSchemas, getResourceContents, getResourceFile, getReuseTuple, getRuntimeEnvironment, getRuntimeInputSchema, getRuntimeOutputSchema, getSchemaForCapture, getSearchKeywords, getShortDisplayName, getStateChangeTimeout, getStorageMethod, getTableAccessor, getTransactionIsolationLevel, getTupleCaptureTransformer, getTypecheckInputSchema, getTypecheckOutputSchema, hasNotYetStarted, init, isConcurrentByDefault, isDroppingTuples, isPassthruOperator, isProcessingTuples, isRunning, isRuntime, isShutdown, isSuspended, postShutdown, registerRunnable, registerRunnable, registerRunnable, registerRunnable, remoteNodeActive, remoteNodeUnavailable, requireInputPortCount, resume, resumed, scheduleRunnable, sendErrorOutput, sendErrorOutput, sendErrorOutput, sendOutput, sendOutput, sendOutputAsync, sendOutputAsync, setCaptureStrategy, setDisplayDescription, setDisplayName, setDynamicVariable, setLogLevel, setLogLevel, setManagedState, setOutputSchema, setParameters, setPortHints, setReuseTuple, setShortDisplayName, setSuspendBehavior, shouldRun, shutdown, size, supportsArtifacts, supportsTransactionalMemory, suspend, suspended, typecheck`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputAdapter

          public InputAdapter()

  - ### Method Detail

    - #### processTuple

          public void processTuple(int inputPort,
                                   Tuple tuple)
                            throws StreamBaseException

      Description copied from class: `Operator`
      This method will be called by the StreamBase server for each Tuple given to the Operator to process.

      By default the Tuple passed in is safe for storing and mutating after the return of processTuple. The details of this Tuple's life cycle can be controlled via `Operator.setReuseTuple(boolean)`.

      Specified by:
        `processTuple` in class `Operator`
      Parameters:
        `inputPort` - the input port that the tuple is from (ports are zero based)
        `tuple` - the tuple from the given input port
      Throws:
        `StreamBaseException` - Terminates the application.

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.